## kdewebdev 4.4.5

=== klinkstatus/src/plugins/automation/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/klinkstatus/src 
    ${CMAKE_BINARY_DIR}/klinkstatus/src
)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")

set(automationklinkstatus_PART_SRCS 
    automationpart.cpp
    automationdialog.cpp
    automationconfigpage.cpp
)

kde4_add_ui_files(automationklinkstatus_PART_SRCS
   ${CMAKE_SOURCE_DIR}/klinkstatus/src/plugins/automation/automationconfigpageui.ui
)

kde4_add_kcfg_files(automationklinkstatus_PART_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/automationconfig.kcfgc)
kde4_add_kcfg_files(automationklinkstatus_PART_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/cfg/klsconfig.kcfgc)

kde4_add_plugin(automationklinkstatus ${automationklinkstatus_PART_SRCS})

target_link_libraries(automationklinkstatus
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDE4_MAILTRANSPORT_LIBS}
    klinkstatuscommon)

install(TARGETS automationklinkstatus DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES  klinkstatus_automation.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  klinkstatus_automation.rc  DESTINATION ${DATA_INSTALL_DIR}/klinkstatuspart/kpartplugins)

=== debian/changelog ===
kdewebdev (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Remove Xavier Vello from Uploaders. Have fun.
  * Update my email address.
  * Update descriptions

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 14:24:01 +0200

kdewebdev (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:20 +0300

kdewebdev (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:58 +0300

kdewebdev (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.

  [ Sune Vuorela ]
  * kxsldbg removed upstream
  * update installed files

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:40:29 +0300

kdewebdev (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Karl Ferdinand Ebert:

  * Add klinkstatus.lintian-overrides for unusual interpreter kross. 
  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

  +++ Changes by Lukasz Janyst:

  * Bump build depends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:13 +0200

kdewebdev (4:4.3.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Oct 2009 22:33:07 +0200

kdewebdev (4:4.3.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.2, no changes required.
  * Bump KDE build dependencies to 4.3.0.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Aug 2009 09:21:57 +0200

kdewebdev (4:4.2.4-1) unstable; urgency=low

  * New upstream release.

  ++ Changes by Armin Berres:

  * Update patch 01 to make CMake 2.6.4 happy.
  * Install libkommanderwidgets.so and add Replaces: kommander-dev.
    (Closes: #524210) 
  
  +++ Changes by Sune Vuorela:  

  * Update sections.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 May 2009 17:28:43 -0400

kdewebdev (4:4.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 04 Apr 2009 23:24:31 +0200

kdewebdev (4:4.2.1-1) experimental; urgency=low

  * New upstream release.
  * Update kdewebdev-dbg:
    - Replace wrong Depends on kdelibs-dbg with kdebase-runtime-dbg.
    - Add Suggests on metapackage kdewebdev.
   * Add Debian Vcs URLs in debian/control.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 08 Mar 2009 23:44:48 +0100

kdewebdev (4:4.2.0-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump KDE build dependencies to 4.2.0.
  * Bump Standards-Version to 3.8.0 and add README.source.
  * Remove explicit cmake build dependency.
  * Update Suggests on khelpcenter to khelpcenter4.
  * Update changelog file.

  +++ Changes by Modestas Vainius:

  * Add debian/installgen.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).
  * Switch from internal debian/cdbs/kde.mk to pkg-kde-tools:
    - build depend on pkg-kde-tools 0.4;
    - remove debian/cdbs directory;
    - replace debian/cdbs/kde.mk with
      /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk in debian/rules.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 28 Jan 2009 19:15:14 +0100

kdewebdev (4:4.1.3-1) experimental; urgency=low

  * New upstream
    -  bump b-d.

 -- Sune Vuorela <debian@pusling.com>  Sat, 01 Nov 2008 20:40:00 +0100

kdewebdev (4:4.1.2-1) experimental; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 30 Sep 2008 16:35:20 +0200

kdewebdev (4:4.1.1-1) experimental; urgency=low

  * New upstream release.
  * Update patch 97 to fix linking issues.

 -- Sune Vuorela <debian@pusling.com>  Wed, 03 Sep 2008 12:34:56 +0200

kdewebdev (4:4.1.0-1) experimental; urgency=low

  * New upstream release.
  * Update installed files and build depends versions.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 28 Jul 2008 19:09:00 +0200

kdewebdev (4:4.0.98-1) experimental; urgency=low

  * New upstream release, Release Candidate 1.

  +++ Changes by Xavier Vello:

  * Update patch 97 to fix linking issues. (Closes: #491174)

  +++ Changes by Ana Beatriz Guerrero Lopez:

   * Bump build depends to >= 4:4.0.98.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 17 Jul 2008 17:59:03 +0200

kdewebdev (4:4.0.84-1) experimental; urgency=low

  * Some description tweaking in the control and copyright files.
  * Add versioned build depends for kdelibs5-dev and kdepimlibs5-dev.
  * Add kommander to the kdewebdev metapackage.


=== debian/control ===
Source: kdewebdev
Section: web
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs, cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4),
 libtidy-dev, zlib1g-dev, libboost-dev, libxslt-dev
Standards-Version: 3.8.4
Homepage: http://kdewebdev.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdewebdev/#_trunk_packages_kdewebdev_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdewebdev

Package: kdewebdev
Architecture: all
Section: kde
Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
 klinkstatus (>= ${source:Version}), 
 kommander (>= ${source:Version})
Description: web development apps from the official KDE release
 This metapackage includes a collection of web development applications
 provided with the official release of KDE.

Package: kfilereplace
Architecture: any
Section: kde
Depends: ${shlibs:Depends}
Description: batch search-and-replace component 
 KFileReplace is an embedded component for KDE that acts as a batch
 search-and-replace tool. It allows you to replace one expression with
 another in many files at once.
 .
 This package is part of KDE web development module.

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${shlibs:Depends}
Description: HTML image map editor
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE web development module.

Package: klinkstatus
Architecture: any
Section: web
Depends: ${shlibs:Depends}
Suggests: khelpcenter4
Description: web link validity checker
 KLinkStatus is KDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of KDE web development module.

Package: kommander
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kommander-dev
Description: visual dialog builder and executor tool
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of KDE web development module.

Package: kdewebdev-dbg
Section: debug
Architecture: any
Depends: kdebase-runtime-dbg
Suggests: kdewebdev (= ${source:Version})
Priority: extra
Description: debugging symbols for the KDE web development module
 This package contains the debugging symbols associated with kdewebdev.
 They will automatically be used by gdb for debugging kdewebdev-related
 issues.

## kdewebdev 4.5.1

=== klinkstatus/src/CMakeLists.txt ===
add_subdirectory(plugins)

set(GENERIC_KLINKSTATUS_LIB_VERSION "4.0.0")
set(GENERIC_KLINKSTATUS_LIB_SOVERSION "4")

configure_file(config-tidy.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-tidy.h )


include_directories(
    ${CMAKE_SOURCE_DIR}/klinkstatus/src 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces/engine
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces/ui
    ${CMAKE_BINARY_DIR}/klinkstatus/src
    ${LIBXML2_INCLUDE_DIR}
    ${LIBXSLT_INCLUDE_DIR}
    ${KDEPIMLIBS_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}
    ${KDE4_INCLUDE_DIR}/threadweaver
    ${KROSS_INCLUDES}
    ${QT_INCLUDES}
)

if(LIBTIDY_FOUND)
    include_directories(${LIBTIDY_INCLUDE_DIR})
endif(LIBTIDY_FOUND)



########### next target ###############

set(libutils_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/utils/utils.cpp     
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/utils/timer.cpp
)

set(libparser_SRCS
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/htmlparser.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/http.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/mstring.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/node.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/url.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/parser/robotsparser.cpp
)

set(libengine_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/linkchecker.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/linkfilter.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/linkstatus.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/linkstatushelper.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/searchmanager.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/searchmanageragent.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/automationengine.cpp 
)

set(libinterfaces_SRC
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces/engine/isearchmanager.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/interfaces/ui/iview.cpp
)

set(libui_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/view.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/documentrootdialog.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/klshistorycombo.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/resultssearchbar.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/resultview.cpp 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/sessionwidget.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/tabwidgetsession.cpp  
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/treeview.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/sessionstackedwidget.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/unreferreddocumentswidget.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/httppostdialog.cpp
)

set(libuisettings_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configidentificationdialog.cpp     
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configresultsdialogimpl.cpp
)

set(libpim_SRCS 
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/pim/pimconfigdialog.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/pim/pimagent.cpp
)

set (klinkstatuscommon_LIB_SRCS
    ${libutils_SRCS}
    ${libparser_SRCS}
    ${libengine_SRCS}
    ${libui_SRCS}
    ${libuisettings_SRCS}
    ${libinterfaces_SRC}
    ${libpim_SRCS}
    klsfactory.cpp
    actionmanager.cpp
    global.cpp
    klinkstatusbasepart.cpp
)

kde4_add_ui_files(klinkstatuscommon_LIB_SRCS
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/sessionwidgetbase.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/unreferreddocumentswidget.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/httppostwidgetui.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configsearchdialog.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configresultsdialog.ui
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/settings/configidentificationdialogui.ui   
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/pim/identitywidgetui.ui
)

kde4_add_kcfg_files(klinkstatuscommon_LIB_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/cfg/klsconfig.kcfgc)
kde4_add_kcfg_files(klinkstatuscommon_LIB_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/automationconfig.kcfgc)

if(LIBTIDY_FOUND)
    set(libtidy_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/tidy/markupvalidator.cpp)
    set(klinkstatuscommon_LIB_SRCS ${klinkstatuscommon_LIB_SRCS} ${libtidy_SRCS})
endif(LIBTIDY_FOUND)


# D-Bus
qt4_add_dbus_adaptor(klinkstatuscommon_LIB_SRCS interfaces/engine/org.kde.kdewebdev.klinkstatus.SearchManager.xml isearchmanager.h ISearchManager isearchmanageradaptor ISearchManagerAdaptor)

qt4_add_dbus_adaptor(klinkstatuscommon_LIB_SRCS interfaces/ui/org.kde.kdewebdev.klinkstatus.View.xml iview.h IView iviewadaptor IViewAdaptor)


kde4_add_library(klinkstatuscommon SHARED ${klinkstatuscommon_LIB_SRCS})

target_link_libraries(klinkstatuscommon
    ${LIBXML2_LIBRARIES}
    ${LIBXSLT_LIBRARIES}
    ${KDE4_KDECORE_LIBS} 
    ${KDE4_KPARTS_LIBS} 
    ${KDE4_KIO_LIBS}
    ${KDE4_KHTML_LIBS}
    ${KDE4_THREADWEAVER_LIBRARY}
    ${KDE4_KROSSUI_LIBS}
    ${KDE4_KNEWSTUFF2_LIBS}
    ${KDE4_KUTILS_LIBS}
    ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
    ${KDEPIMLIBS_KPIMIDENTITIES_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
)

if(LIBTIDY_FOUND)
    target_link_libraries(klinkstatuscommon ${LIBTIDY_LIBRARIES})
endif(LIBTIDY_FOUND)

set_target_properties(klinkstatuscommon 
    PROPERTIES VERSION ${GENERIC_KLINKSTATUS_LIB_VERSION} 
    SOVERSION ${GENERIC_KLINKSTATUS_LIB_SOVERSION} )

install(TARGETS klinkstatuscommon ${INSTALL_TARGETS_DEFAULT_ARGS})



########### next target ###############

set(klinkstatuspart_PART_SRCS
    klinkstatus_part.cpp
)

kde4_add_kcfg_files(klinkstatuspart_PART_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/cfg/klsconfig.kcfgc)

kde4_add_plugin(klinkstatuspart ${klinkstatuspart_PART_SRCS})

target_link_libraries(klinkstatuspart klinkstatuscommon ${KDE4_KDEUI_LIBS} ${KDE4_KPARTS_LIBS})

install(TARGETS klinkstatuspart DESTINATION ${PLUGIN_INSTALL_DIR})



########### next target ###############

set(klinkstatus_SRCS
    klinkstatus.cpp main.cpp
    ${CMAKE_SOURCE_DIR}/klinkstatus/src/ui/trayicon.cpp)


kde4_add_executable(klinkstatus ${klinkstatus_SRCS})

target_link_libraries(klinkstatus ${KDE4_KPARTS_LIBS})

install(TARGETS klinkstatus ${INSTALL_TARGETS_DEFAULT_ARGS})



########### next target ###############

# set(klinkstatus_SRCS
#     mainCli.cpp
# )
# 
# 
# kde4_add_executable(klinkstatuscli ${klinkstatus_SRCS})
# 
# target_link_libraries(klinkstatuscli klinkstatuscommon)
# 
# install(TARGETS klinkstatuscli ${INSTALL_TARGETS_DEFAULT_ARGS})



########### install files ###############

install(FILES  klinkstatus.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES  klinkstatus_part.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  klinkstatus_part.rc  DESTINATION ${DATA_INSTALL_DIR}/klinkstatuspart)
install(FILES  klinkstatus_shell.rc  DESTINATION ${DATA_INSTALL_DIR}/klinkstatus)
install(FILES  klinkstatus.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR})

install(FILES interfaces/engine/org.kde.kdewebdev.klinkstatus.SearchManager.xml 
    DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

=== debian/changelog ===
kdewebdev (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 30 Aug 2010 21:52:02 +0200

kdewebdev (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:06 +0100

kdewebdev (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 30 Jul 2010 14:15:11 +0200

kdewebdev (4:4.4.95-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 29 Jul 2010 14:20:29 +0200

kdewebdev (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest to 4.4.92

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 09 Jul 2010 02:41:02 +0200

kdewebdev (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest to 4.4.90

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 25 Jun 2010 05:13:10 +0200

kdewebdev (4:4.4.85-0ubuntu1) maverick; urgency=low5

  * New upstream beta release:
    - Bump kde-sc-dev-latest build-depend version to 4.4.85

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 03:10:44 +0200

kdewebdev (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Bump kde-sc-dev-latest build-depend version to 4.4.80
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16, no changes required
    - Remove debian/README.source

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 May 2010 14:55:40 -0400

kdewebdev (4:4.4.3-1ubuntu1) maverick; urgency=low

  [ Alessandro Ghersi ]
  * Merge with Debian unstable, remaining changes:
    - Build against libboost1.42-dev
    - Keep doc path in kde/HTML
  * Add debian/KUBUNTU-DEBIAN-DIFFERENCES

  [ Jonathan Thomas ]
  * Add the Uploaders field from Debian's debian/control to ours

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 21 May 2010 05:47:09 +0200

kdewebdev (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions 

 -- Roderick B. Greening <roderick.greening@gmail.com>  Mon, 03 May 2010 18:06:57 -0230

kdewebdev (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Change klinkstatus' description around to match a search for link checker
    LP: #203882

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 14 Apr 2010 19:48:25 +0200

kdewebdev (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 22:50:56 +0100

kdewebdev (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 28 Feb 2010 12:45:03 -0500

kdewebdev (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 05 Feb 2010 00:08:54 +0100

kdewebdev (4:4.3.98-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions 

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 01 Feb 2010 21:41:07 +0100

kdewebdev (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 17:48:08 +0100

kdewebdev (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release candidate:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 19:24:31 -0500

kdewebdev (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 23:09:39 -0500

kdewebdev (4:4.3.80-0ubuntu2) lucid; urgency=low

  * Add missing build-depends on libx11-dev

 -- Scott Kitterman <scott@kitterman.com>  Tue, 08 Dec 2009 11:00:27 -0500

kdewebdev (4:4.3.80-0ubuntu1) lucid; urgency=low

  [ Michał Zając ]
  * New upstream beta release.
  * Bump on build-depends
  * kxsldgb dropped from kdewebdev
    - Remove all related files (kxsldbg.install and
      97_fix_target_link_libraries.diff)
    - Remove from debian/control

  [ Scott Kitterman ]
  * Change Vcs-* to Ubuntu headers

 -- Scott Kitterman <scott@kitterman.com>  Sun, 06 Dec 2009 23:38:57 -0500

kdewebdev (4:4.3.3-0ubuntu2) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - Keep versioned boost build-dep
    - Keep Kubuntu kde docpath

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 19:05:13 -0500

kdewebdev (4:4.3.3-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump on build depends

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 31 Oct 2009 11:57:23 +0100

kdewebdev (4:4.3.2-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Bump on build-deps

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 03 Oct 2009 12:17:02 +0200

kdewebdev (4:4.3.1-0ubuntu1) karmic; urgency=low

  * New upstream release
  * debian/control: Bump Build-Depends versions

 -- Nathan Handler <nhandler@ubuntu.com>  Fri, 28 Aug 2009 21:55:41 +0000

kdewebdev (4:4.3.0-0ubuntu1) karmic; urgency=low

  * New upstream release:
    - Bump build-depend versions
  * Merge with Debian Unstable, remaining changes:
    - Keep versioned boost build-dep
    - Keep Kubuntu kde docpath

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Jul 2009 10:26:28 -0400

kdewebdev (4:4.2.98-0ubuntu1) karmic; urgency=low

  * New upstream release
  * debian/control: Bump Build-Depends versions

 -- Nathan Handler <nhandler@ubuntu.com>  Wed, 22 Jul 2009 02:48:17 +0000

kdewebdev (4:4.2.96-0ubuntu1) karmic; urgency=low

  * New upstream beta release:
   - Bump on Build-Depends versions.

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 10 Jul 2009 19:02:45 +0200



## kdewebdev 4.5.5

=== debian/changelog ===
kdewebdev (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 03:01:41 -0400

kdewebdev (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 13:47:08 -0700

kdewebdev (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 16:53:37 +0000

kdewebdev (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 19:35:24 +0000

kdewebdev (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 22:51:22 +0000

kdewebdev (4:4.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 22:51:08 +0000

=== debian/control ===
Source: kdewebdev
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Xavier Vello <xavier.vello@gmail.com>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
 cdbs, cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.5),
 libtidy-dev, zlib1g-dev, libboost1.42-dev, libxslt-dev
Standards-Version: 3.8.4
Homepage: http://kdewebdev.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdewebdev/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdewebdev/ubuntu

Package: kdewebdev
Architecture: all
Section: kde
Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
 klinkstatus (>= ${source:Version}),
 kommander (>= ${source:Version})
Description: web development apps from the official KDE 4 release
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of web development applications
 provided with the official release of KDE 4.

Package: kfilereplace
Architecture: any
Section: kde
Depends: ${shlibs:Depends}
Description: batch search-and-replace component for KDE 4
 KFileReplace is an embedded component for KDE that acts as a batch
 search-and-replace tool. It allows you to replace one expression with
 another in many files at once.
 .
 This package is part of KDE 4 web development module.

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${shlibs:Depends}
Description: HTML image map editor for KDE 4
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE 4 web development module.

Package: klinkstatus
Architecture: any
Section: web
Depends: ${shlibs:Depends}
Suggests: khelpcenter4
Description: web link validity checker for KDE 4
 KLinkStatus is KDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of KDE 4 web development module.

Package: kommander
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kommander-dev
Description: visual dialog builder and executor tool
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of KDE 4 web development module.

Package: kdewebdev-dbg
Section: debug
Architecture: any
Depends: kdebase-runtime-dbg
Suggests: kdewebdev (= ${source:Version})
Priority: extra
Description: debugging symbols for the KDE 4 web development module
 This package contains the debugging symbols associated with kdewebdev.
 They will automatically be used by gdb for debugging kdewebdev-related
 issues.

## kdewebdev 4.6.2

=== debian/changelog ===
kdewebdev (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Apr 2011 15:24:14 +0000

kdewebdev (4:4.6.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Feb 2011 16:15:50 +0000

kdewebdev (4:4.6.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Michał Zając <quintasan@kubuntu.org>  Sat, 22 Jan 2011 14:18:59 +0100

kdewebdev (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Jan 2011 13:30:25 +0000

kdewebdev (4:4.5.90-0ubuntu1) natty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Dec 2010 19:03:57 +0000

kdewebdev (4:4.5.85-0ubuntu1) natty; urgency=low

  * New upstream beta release

 -- Philip Muskovac <yofel@gmx.net>  Sat, 04 Dec 2010 18:31:25 +0100

kdewebdev (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Nov 2010 15:03:16 +0000

kdewebdev (4:4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Nov 2010 15:25:33 +0000

kdewebdev (4:4.5.2-0ubuntu1) natty; urgency=low

  [ Alessandro Ghersi ]
  * Merge with Debian remaining changes:
    - Build against libboost1.42-dev
    - Build against kde4libs 4.5.2-0ubuntu1

  [ Jonathan Riddell ]
  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 18 Oct 2010 04:15:02 +0200

kdewebdev (4:4.4.5-2) UNRELEASED; urgency=low

  * Point debian/control Vcs fields to the new Git repository.

 -- Modestas Vainius <modax@debian.org>  Mon, 26 Jul 2010 23:24:39 +0300

=== debian/control ===
Source: kdewebdev
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.6.0),
 cdbs, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.5.2-0ubuntu1), kdepimlibs5-dev (>= 4:4.5),
 libtidy-dev, zlib1g-dev, libboost1.42-dev, libxslt-dev
Standards-Version: 3.8.4
Homepage: http://kdewebdev.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdewebdev/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdewebdev/ubuntu

Package: kdewebdev
Architecture: all
Section: kde
Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
 klinkstatus (>= ${source:Version}), 
 kommander (>= ${source:Version})
Description: web development apps from the official KDE release
 This metapackage includes a collection of web development applications
 provided with the official release of KDE.

Package: kfilereplace
Architecture: any
Section: kde
Depends: ${shlibs:Depends}
Description: batch search-and-replace component 
 KFileReplace is an embedded component for KDE that acts as a batch
 search-and-replace tool. It allows you to replace one expression with
 another in many files at once.
 .
 This package is part of KDE web development module.

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${shlibs:Depends}
Description: HTML image map editor
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE web development module.

Package: klinkstatus
Architecture: any
Section: web
Depends: ${shlibs:Depends}
Suggests: khelpcenter4
Description: web link validity checker
 KLinkStatus is KDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of KDE web development module.

Package: kommander
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kommander-dev
Description: visual dialog builder and executor tool
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of KDE web development module.

Package: kdewebdev-dbg
Section: debug
Architecture: any
Depends: kdebase-runtime-dbg
Suggests: kdewebdev (= ${source:Version})
Priority: extra
Description: debugging symbols for the KDE web development module
 This package contains the debugging symbols associated with kdewebdev.
 They will automatically be used by gdb for debugging kdewebdev-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

## kdewebdev 4.6.5

=== debian/changelog ===
kdewebdev (4:4.6.5-1) unstable; urgency=low

  * New upstream release.

  [ Ana Beatriz Guerrero Lopez ]
  * Remove myself from Uploaders.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.5.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jul 2011 21:54:02 +0300

kdewebdev (4:4.6.3-1) unstable; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.3.
  * Bump Standards-Version to 3.9.2; no changes needed.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 26 May 2011 02:41:42 +0300

kdewebdev (4:4.6.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.
  * Switch debian/rules engine to dhmk based qt-kde-team/2/*.
  * Strip sequence numbers from debian/patches/*.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.6.2.
  * Bump KDE SC build dependencies to 4:4.6.
  * Bump Standards-Version to 3.9.1, no changes needed.
  * Update lintian overrides.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:46 +0300

kdewebdev (4:4.1.4-1) experimental; urgency=low

  * New upstream
    - bump b-d

 -- Sune Vuorela <debian@pusling.com>  Sat, 10 Jan 2009 19:21:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.6.0),
- cdbs, cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9),
- kdelibs5-dev (>= 4:4.5.2-0ubuntu1), kdepimlibs5-dev (>= 4:4.5),
- libtidy-dev, zlib1g-dev, libboost1.42-dev, libxslt-dev
-Standards-Version: 3.8.4
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6),
+ libtidy-dev, zlib1g-dev, libboost-dev, libxslt-dev
+Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdewebdev/ubuntu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdewebdev/ubuntu
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all

## kdewebdev 4.7.1

=== debian/changelog ===
kdewebdev (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 00:54:19 +0200

kdewebdev (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Thu, 08 Sep 2011 10:49:39 -0400

kdewebdev (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 23 Jul 2011 13:49:16 -0400

kdewebdev (4:4.6.90-0ubuntu1) oneiric; urgency=low

  * New upstream release candidate 
    - bump kde-sd-dev-latest to 4:4.6.90 and build against boost1.46
    - Update Vcs lines for new location
    - fix kdewebdev-dbg to depend on kde-runtime-dbg

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 11 Jul 2011 12:07:39 +0200

kdewebdev (4:4.6.3-1ubuntu1) oneiric; urgency=low

  * Merge from debian. Remaining changes:
    - Build against libboost1.42-dev
  * Update Vcs links as the branch is owned by kubuntu-packagers now 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 30 May 2011 07:37:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,24 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.6.5),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6),
- libtidy-dev, zlib1g-dev, libboost-dev, libxslt-dev
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
+ José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
+ cmake,
+ debhelper (>= 7.3.16),
+ pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.6),
+ kdepimlibs5-dev (>= 4:4.6),
+ libtidy-dev,
+ zlib1g-dev,
+ libboost1.46-dev,
+ libxslt-dev
 Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
 
 Package: kdewebdev
 Architecture: all
@@ -88,7 +96,7 @@
 Package: kdewebdev-dbg
 Section: debug
 Architecture: any
-Depends: kdebase-runtime-dbg
+Depends: kde-runtime-dbg
 Suggests: kdewebdev (= ${source:Version})
 Priority: extra
 Description: debugging symbols for the KDE web development module

## kdewebdev 4.7.2

=== debian/changelog ===
kdewebdev (4:4.7.2-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump KDE SC build dependencies to 4:4.7.

  [ Pino Toscano ]
  * Manage some packages renamings (Closes: #650011):
    - kdewebdev-dbg depends on kde-runtime-dbg instead of kdebase-runtime-dbg.
  * Add ${misc:Depends} where missing.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 03 Dec 2011 10:46:20 -0300

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,23 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.1),
- cmake,
- debhelper (>= 7.3.16),
- pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6),
- kdepimlibs5-dev (>= 4:4.6),
- libtidy-dev,
- zlib1g-dev,
- libboost1.46-dev,
- libxslt-dev
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, 
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.2),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
+ libtidy-dev, zlib1g-dev, libboost-dev, libxslt-dev
 Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all
 Section: kde
-Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
+Depends: ${misc:Depends}, kfilereplace (>= ${source:Version}),
+ kimagemapeditor (>= ${source:Version}),
  klinkstatus (>= ${source:Version}), 
  kommander (>= ${source:Version})
 Description: web development apps from the official KDE release
@@ -33,7 +27,7 @@
 Package: kfilereplace
 Architecture: any
 Section: kde
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: batch search-and-replace component 
  KFileReplace is an embedded component for KDE that acts as a batch
  search-and-replace tool. It allows you to replace one expression with
@@ -44,7 +38,7 @@
 Package: kimagemapeditor
 Architecture: any
 Section: editors
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor
@@ -55,7 +49,7 @@
 Package: klinkstatus
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: khelpcenter4
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
@@ -96,7 +90,7 @@
 Package: kdewebdev-dbg
 Section: debug
 Architecture: any
-Depends: kde-runtime-dbg
+Depends: ${misc:Depends}, kde-runtime-dbg
 Suggests: kdewebdev (= ${source:Version})
 Priority: extra
 Description: debugging symbols for the KDE web development module
